# Uses of Interface
org.apache.lucene.spatial.prefix.tree.S2ShapeFactory

Packages that use S2ShapeFactory
Package
Description
org.apache.lucene.spatial.prefix.tree
This package is about SpatialPrefixTree and any supporting classes.
org.apache.lucene.spatial.spatial4j
Spatial4j stuff that ideally belongs in Spatial4j (isn't related to Lucene).

- ## Uses of S2ShapeFactory in org.apache.lucene.spatial.prefix.tree

  Fields in org.apache.lucene.spatial.prefix.tree declared as S2ShapeFactory
  Modifier and Type
  Field
  Description
  `protected final S2ShapeFactory`
  S2PrefixTree.`s2ShapeFactory`

- ## Uses of S2ShapeFactory in org.apache.lucene.spatial.spatial4j

  Classes in org.apache.lucene.spatial.spatial4j that implement S2ShapeFactory
  Modifier and Type
  Class
  Description
  `class`
  `Geo3dShapeFactory`
  Geo3d implementation of `S2ShapeFactory`